#
# spec file for package python-pyexiv2
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(True)")}

Name:           python-pyexiv2
Version:        0.3.2
Release:        14.4
Summary:        Python Bindings to Exiv2
License:        GPL-2.0+
Group:          Development/Libraries/Python
Url:            http://tilloy.net/dev/pyexiv2/
Source:         http://launchpad.net/pyexiv2/0.3.x/%{version}/+download/pyexiv2-%{version}.tar.bz2
BuildRequires:  boost-devel
BuildRequires:  gcc-c++
BuildRequires:  libexiv2-devel
BuildRequires:  libstdc++-devel
BuildRequires:  pkgconfig
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  scons
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
pyexiv2 is a python binding to exiv2, the C++ library for manipulation of EXIF
and IPTC image metadata. It is a python module that allows your python scripts
to read and write metadata (EXIF, IPTC, thumbnail) embedded in image files
(JPEG, TIFF, ...).

It is designed as a high level interface to the functionalities offered by
exiv2 (and is built on top of it). Using python's built-in data types and
standard modules, it provides easy manipulation of image metadata.

%prep
%setup -q -n "pyexiv2-%{version}"

%build
CPPFLAGS="%{optflags}" scons

%install
CPPFLAGS="%{optflags}" scons install DESTDIR=%{buildroot}


%clean
%{?buildroot:rm -rf %{buildroot}}

%files
%defattr(-,root,root)
%doc COPYING README todo
%{python_sitearch}/libexiv2python.so
%{python_sitearch}/pyexiv2

%changelog
* Tue May  8 2012 toganm@opensuse.org
- Added spec license for the spec file
* Sun Mar 18 2012 dhall@wustl.edu
- Fix SPDX license
- update to 0.3.2 release
  Changes:
  - Compiles and tested against the latest libexiv2 (0.22)
  - ImageMetadata implements the collections.MutableMapping interface
  - Consistent API across all types of tags to access the value(s)
  - Read/write access to the EXIF thumbnail
  - Decode and encode EXIF comments according to the specified charset
  - API to (un)register custom XMP namespaces
  - API to get, set and delete the (optional) IPTC charset
  - Added pickling support to tags
  - Use fractions.Fraction when available in the standard library (Python ≥ 2.6)
  Bugs fixed:
  - 880659: Regression: pyexiv2 0.3.1 doesn’t work with Python 2.6
  - 802176: UnicodeDecodeError when opening a file with unicode characters in the
    path
  - 815430: [win32] Saving previews to disk produces bogus JPEG files
  - 781464: Pentax MakerNote tags advertised with the wrong type, decoding their
    value raises a ValueError
  - 786253: Exif headers with zero-denominator rational (fraction) types raise
    DivideByZero exception unnecessarily
  - 797626: Cannot assign dates earlier than the year 1900
  - 797644: Timezone info is not correctly passed to libexiv2 when writing IPTC
    and XMP tags
  - 823104: Setting an XMP tag from a value with incorrect type results in a
    confusing KeyError being raised
  - 696240: pyexiv2-0.3.0 docs fail to build with sphinx-1.0.5
  - 736143: scons error
  - 813224: String representation of Rational not implemented
  - 617557: Feature request: consistent getter/setter API for EXIF/IPTC/XMP
  - 618540: Windows build for Python 2.7
  - 644143: Failing to parse a raw value silently fails
  - 677267: Crashes when trying to read Xmp.lr.hierarchicalSubject
  - 684177: FTBFS against exiv2-0.21
  - 559903: Please decode EXIF comments according to charset
  - 587614: Where's the good old setThumbnailData in 0.2.X series ?
  - 622739: Segmentation fault when replacing a tag by itself
  - 624283: Unit tests fail with a non-unicode locale
  - 624999: test_write_dont_preserve_timestamps fails
  - 683232: assignment of fractions.Fraction to Exif.GPSInfo.GPSAltitude leads to
    backtrace
  - 687373: Misleading exception raised when metadata not read
  - 688209: test_write_exif_thumbnail_to_file fails on windows
  - 461847: feature request: convenience function to set IPTC encoding to UTF-8
  - 507620: Investigate the ability to catch stderr from libexiv2 in pyexiv
  - 514415: Replace the Rational class by fractions.Fraction
  - 549496: Feature request: Custom XMP namespaces
  - 628735: Pickling an {Exif,Iptc,Xmp}Tag itself
  - 648624: Feature request: inherit ImageMetadata from collections.MutableMapping
* Sun Mar 28 2010 nix@opensuse.org
- Update to 0.2.0 release
* Sun Mar  7 2010 nix@opensuse.org
- Changed BuildRequires: libexiv2-devel to be >= 0.19 due to:
  https://bugzilla.redhat.com/show_bug.cgi?id=496050
* Sun Feb 14 2010 pascal.bleser@opensuse.org
- initial package (0.1.3)
